/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_NS_CURRENT_PID_TGID_SKEL_H__
#define __TEST_NS_CURRENT_PID_TGID_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_ns_current_pid_tgid {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *handler;
	} progs;
	struct {
		struct bpf_link *handler;
	} links;
	struct test_ns_current_pid_tgid__bss {
		__u64 user_pid;
		__u64 user_tgid;
		__u64 dev;
		__u64 ino;
	} *bss;
};

static void
test_ns_current_pid_tgid__destroy(struct test_ns_current_pid_tgid *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_ns_current_pid_tgid__create_skeleton(struct test_ns_current_pid_tgid *obj);

static inline struct test_ns_current_pid_tgid *
test_ns_current_pid_tgid__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_ns_current_pid_tgid *obj;
	int err;

	obj = (struct test_ns_current_pid_tgid *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_ns_current_pid_tgid__create_skeleton(obj);
	err = err ?: bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_ns_current_pid_tgid__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_ns_current_pid_tgid *
test_ns_current_pid_tgid__open(void)
{
	return test_ns_current_pid_tgid__open_opts(NULL);
}

static inline int
test_ns_current_pid_tgid__load(struct test_ns_current_pid_tgid *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_ns_current_pid_tgid *
test_ns_current_pid_tgid__open_and_load(void)
{
	struct test_ns_current_pid_tgid *obj;
	int err;

	obj = test_ns_current_pid_tgid__open();
	if (!obj)
		return NULL;
	err = test_ns_current_pid_tgid__load(obj);
	if (err) {
		test_ns_current_pid_tgid__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_ns_current_pid_tgid__attach(struct test_ns_current_pid_tgid *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_ns_current_pid_tgid__detach(struct test_ns_current_pid_tgid *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_ns_current_pid_tgid__create_skeleton(struct test_ns_current_pid_tgid *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		goto err;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_ns_current_pid_tgid";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "test_ns_.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "handler";
	s->progs[0].prog = &obj->progs.handler;
	s->progs[0].link = &obj->links.handler;

	s->data_sz = 2328;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd8\x06\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x72\
\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\
\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x2e\
\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x6e\x73\x5f\
\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x2e\x63\0\x4c\
\x42\x42\x30\x5f\x32\0\x68\x61\x6e\x64\x6c\x65\x72\0\x64\x65\x76\0\x69\x6e\x6f\
\0\x75\x73\x65\x72\x5f\x70\x69\x64\0\x75\x73\x65\x72\x5f\x74\x67\x69\x64\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x74\x72\x61\x63\x65\x70\x6f\x69\
\x6e\x74\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\
\x65\x72\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x2e\x42\x54\x46\0\x2e\x42\
\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x46\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\0\0\0\0\0\x03\0\x98\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x68\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x70\0\0\0\x11\0\
\x04\0\x10\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x74\0\0\0\x11\0\x04\0\x18\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\x78\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x81\0\0\0\x11\0\x04\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x8b\0\0\0\x11\0\x05\
\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\
\x11\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x22\0\0\0\0\0\0\xbf\
\xa3\0\0\0\0\0\0\x07\x03\0\0\xf8\xff\xff\xff\xb4\x04\0\0\x08\0\0\0\x85\0\0\0\
\x78\0\0\0\x55\0\x08\0\0\0\0\0\x61\xa1\xf8\xff\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\x61\xa1\xfc\xff\0\0\0\0\x18\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\
\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\
\x06\0\0\0\x60\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x80\0\0\0\0\0\0\0\x01\0\0\0\
\x08\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x40\x01\0\0\x40\x01\0\0\xaa\x01\0\0\
\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\0\x01\0\0\x0d\x04\
\0\0\0\x01\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x09\0\0\0\
\x01\0\0\x0c\x03\0\0\0\x11\0\0\0\0\0\0\x08\x07\0\0\0\x17\0\0\0\0\0\0\x01\x08\0\
\0\0\x40\0\0\0\x2a\0\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\x33\0\0\0\0\0\0\x0e\x06\
\0\0\0\x01\0\0\0\x3d\0\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\x41\0\0\0\0\0\0\x0e\
\x06\0\0\0\x01\0\0\0\x45\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\
\x03\0\0\0\0\x0c\0\0\0\x0e\0\0\0\x04\0\0\0\x4a\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\
\0\0\x5e\0\0\0\0\0\0\x0e\x0d\0\0\0\x01\0\0\0\x75\x01\0\0\x04\0\0\x0f\x20\0\0\0\
\x08\0\0\0\0\0\0\0\x08\0\0\0\x09\0\0\0\x08\0\0\0\x08\0\0\0\x0a\0\0\0\x10\0\0\0\
\x08\0\0\0\x0b\0\0\0\x18\0\0\0\x08\0\0\0\x7a\x01\0\0\x01\0\0\x0f\x04\0\0\0\x0f\
\0\0\0\0\0\0\0\x04\0\0\0\0\x63\x74\x78\0\x69\x6e\x74\0\x68\x61\x6e\x64\x6c\x65\
\x72\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\
\x67\x20\x6c\x6f\x6e\x67\0\x75\x73\x65\x72\x5f\x70\x69\x64\0\x75\x73\x65\x72\
\x5f\x74\x67\x69\x64\0\x64\x65\x76\0\x69\x6e\x6f\0\x63\x68\x61\x72\0\x5f\x5f\
\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\
\x38\x2e\x30\x2d\x35\x34\x34\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\
\x2e\x31\x38\x2e\x30\x2d\x35\x34\x34\x2e\x65\x6c\x38\x2e\x61\x61\x72\x63\x68\
\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\
\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\
\x65\x73\x74\x5f\x6e\x73\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\
\x74\x67\x69\x64\x2e\x63\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x67\x65\x74\x5f\
\x6e\x73\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\
\x28\x64\x65\x76\x2c\x20\x69\x6e\x6f\x2c\x20\x26\x6e\x73\x64\x61\x74\x61\x2c\
\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\
\x70\x69\x64\x6e\x73\x5f\x69\x6e\x66\x6f\x29\x29\x29\0\x09\x75\x73\x65\x72\x5f\
\x70\x69\x64\x20\x3d\x20\x6e\x73\x64\x61\x74\x61\x2e\x70\x69\x64\x3b\0\x09\x75\
\x73\x65\x72\x5f\x74\x67\x69\x64\x20\x3d\x20\x6e\x73\x64\x61\x74\x61\x2e\x74\
\x67\x69\x64\x3b\0\x7d\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\
\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\
\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\
\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\xac\0\0\0\xc0\
\0\0\0\0\0\0\0\x08\0\0\0\x82\x01\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\x10\0\0\0\x82\
\x01\0\0\x0a\0\0\0\0\0\0\0\x67\0\0\0\xed\0\0\0\x22\x48\0\0\x18\0\0\0\x67\0\0\0\
\xed\0\0\0\x27\x48\0\0\x38\0\0\0\x67\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\x67\0\0\0\
\xed\0\0\0\x06\x48\0\0\x50\0\0\0\x67\0\0\0\xed\0\0\0\x06\x48\0\0\x58\0\0\0\x67\
\0\0\0\x41\x01\0\0\x14\x54\0\0\x60\0\0\0\x67\0\0\0\x41\x01\0\0\x0b\x54\0\0\x78\
\0\0\0\x67\0\0\0\x59\x01\0\0\x15\x58\0\0\x80\0\0\0\x67\0\0\0\x59\x01\0\0\x0c\
\x58\0\0\x98\0\0\0\x67\0\0\0\x73\x01\0\0\x01\x64\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\xce\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x01\0\0\0\0\0\
\0\xf0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\
\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\xa8\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x39\0\0\0\x08\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x02\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3e\0\0\0\x01\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xa8\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x94\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xb0\x02\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\xc0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\
\x02\0\0\0\0\0\0\x02\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xc5\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x05\0\0\0\0\0\
\0\xe0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -ENOMEM;
}

#endif /* __TEST_NS_CURRENT_PID_TGID_SKEL_H__ */
